<h1>All Employees</h1>

<div class="card my-5">
    <div class="card-body">
      <table class="table table-bordered table-striped">
        <thead class="thead-dark">
            <tr>
              <th scope="col">ID</th>
              <th scope="col">Status</th>
              <th scope="col">Updated By</th>
              <th scope="col">Created By</th>
              <th scope="col">Updated Date</th>
              <th scope="col">CreatedDate</th>
              <th scope="col">First Name</th>
              <th scope="col">Last Name</th>
              <th scope="col">Middle Name</th>
              <th scope="col">SSS Number</th>
          </tr>
          </thead>
          <tbody>
            <tr *ngFor="let employee of employees">
              <td>{{employee.id}}</td>
              <td>{{employee.status}}</td>
              <td>{{employee.updatedBy}}</td>
              <td>{{employee.createdBy}}</td>
              <td>{{employee.updatedDate}}</td>
              <td>{{employee.createdDate}}</td>
              <td>{{employee.firstName}}</td>
              <td>{{employee.lastName}}</td>
              <td>{{employee.middleName}}</td>
              <td>{{employee.sssnumber}}</td>

            </tr>
          </tbody>
        </table>
      </div>
    </div>
    <button type="button" class="btn btn-danger" data-bs-toggle="modal" data-bs-target="#exampleModal">Delete Inactive Employees</button>
  
                 <!-- CONFIRMATION DIALOG BOX -->
  <!-- Modal -->
  <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
 
    <div class="modal-dialog" role="document">
      
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Inactive Employees</h5>
          <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div> 
        <div class="modal-body">
          Are you sure you want to delete all Inactive employee?
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <button type="button" class="btn btn-danger" (click)="[deleteEmployeeByStatus() , deleteNotification()]">Yes</button>
       </div>
      </div>
    </div>
  </div>

   
  
  
  
   